Futures Data
Get candles
GET
/futures/candlesPublicGet the candles (OHLCs) history for a given range
from?stringStart date, unix epoch 0 by default
Format
date-timeDefault
"1970-01-01T00:00:00.000Z"to?stringEnd date, default to current time
Format
date-timeDefault
"2026-09-12T10:28:28.261Z"limit?integerNumber of entries to return, default to 1000
Range
1 <= value <= 1000Default
1000cursor?stringCursor for pagination
Format
date-timerange?stringResolution of the OHLCs
Default
"1m"Value in
"1m""3m""5m""10m""15m""30m""45m""1h""2h""3h""4h""1d""1w""1month""3months"OK
application/json- response
data*array<>nextCursor*|Cursor to use for fetching the next page of results. Pass this value as the cursor parameter in the next request. Returns null when there are no more results.
import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient()const result = await client.futures.getCandles({ from: '1970-01-01T00:00:00.000Z', to: '2026-09-12T10:28:26.634Z', limit: 500, range: '1m'}){ "data": [ { "time": "2023-05-23T09:52:57.863Z", "open": 43250.5, "high": 43500, "low": 43100, "close": 43400, "volume": 1250000 } ], "nextCursor": "2024-01-15T10:30:00.000Z"}